List webhook deliveries
curl --request GET \
--url https://gengen.farm/api/gengen/v1/webhook-endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/webhook-endpoints/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/webhook-endpoints/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"state": "<string>",
"attempts": 123,
"statusCode": 123,
"createdAt": "<string>",
"nextAttemptAt": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Webhooks
List webhook deliveries
List webhook deliveries. See the Audio API guide for limits, lifecycle and examples.
GET
/
webhook-endpoints
/
{id}
/
deliveries
List webhook deliveries
curl --request GET \
--url https://gengen.farm/api/gengen/v1/webhook-endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/webhook-endpoints/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/webhook-endpoints/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"state": "<string>",
"attempts": 123,
"statusCode": 123,
"createdAt": "<string>",
"nextAttemptAt": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}See the Audio API guide for request examples, limits, billing and delivery behavior.